# Get cookie origin

<div class="op-path-box"><span class="op-http-method-post">POST</span> /v3/web-journeys/<span class="op-path-parameter">{webJourneyId}</span>/runs/<span class="op-path-parameter">{runId}</span>/actions/<span class="op-path-parameter">{actionId}</span>/cookies/origin</div>
Get the origin story for a cookie

Endpoint: POST /v3/web-journeys/{webJourneyId}/runs/{runId}/actions/{actionId}/cookies/origin
Security: API_Key

## Path parameters:

  - `webJourneyId` (integer, required)
    Unique identification number for web journey item

  - `runId` (integer, required)
    Unique identification number for web audit or journey run

  - `actionId` (integer, required)
    Unique identification number for web-journey action

## Request fields (application/json):

  - `name` (string)

  - `domain` (string)

  - `path` (string)

## Response 200 fields (application/json):

  - `changes` (array, required)

  - `changes.cookieChangeType` (string, required)
    Enum: "ADD", "UPDATE", "DELETE", "NO_CHANGE", "REPEAT_SET"

  - `changes.cookie` (object, required)

  - `changes.cookie.name` (string, required)

  - `changes.cookie.value` (string, required)

  - `changes.cookie.domain` (string, required)

  - `changes.cookie.path` (string, required)

  - `changes.cookie.httpOnly` (boolean, required)

  - `changes.cookie.secure` (boolean, required)

  - `changes.cookie.sameSite` (string, required)

  - `changes.cookie.expires` (string, required)

  - `changes.cookie.partyType` (string, required)
    Indicates if cookie domain is different from domain of a page it was set on.
`owned_3rd_party` is deprecated
    Enum: "1st_party", "owned_3rd_party", "3rd_party"

  - `changes.cookie.cookieTTL` (integer)
    difference (in minutes) between cookie expiration and cookie set time (page scan) cookieTTL

  - `changes.cookie.partitionKey` (string)

  - `changes.initiators` (array, required)

  - `changes.initiators.initiatorType` (string, required)
    Type of event that created the cookie
    Enum: "HTTP", "APP", "OP_ACTION", "UNKNOWN"

  - `changes.initiators.tagId` (integer)
    Will include a tag ID when a specific tag signature has been matched to initiating requests

  - `changes.initiators.requestUrl` (string)
    For `initiatorType`:
- `HTTP` - `requestUrl` will be the URL of the request that created the cookie
- `APP`, `OP_ACTION`, `UNKNOWN` - This field will be undefined

  - `changes.action` (object, required)

  - `changes.action.sequence` (integer, required)

  - `changes.action.label` (string, required)

## Response 400 fields (application/json):

  - `timestamp` (string)

  - `message` (string)

  - `details` (string)

  - `validationReport` (object)

## Response 401 fields (application/json):

  - `timestamp` (string)

  - `message` (string)

  - `details` (string)

  - `validationReport` (object)

## Response 404 fields (application/json):

  - `timestamp` (string)

  - `message` (string)

  - `details` (string)

  - `validationReport` (object)

